#!/bin/bash

# Pour trouver les transactions de quelqu'un dans la base de données

# Montre également les pseudos émetteur et destinaire et le solde
# cumulé "croissant".

export LESS='-S'

psql note -c "
   SELECT t.id, t.date, t.type,
          sum((CASE WHEN $1 = emetteur THEN (CASE WHEN $1 = destinataire THEN 0 ELSE -1 END) ELSE 1 END)*montant*quantite) OVER (ORDER BY date ASC) AS soldeapres,
          t.quantite, t.montant, t.description, t.valide, t.emetteur, t.destinataire,
          adhe.pseudo AS emetteur, adhd.pseudo AS destinataire
   FROM transactions AS t, comptes AS adhe, comptes AS adhd
   WHERE $1 in (emetteur, destinataire) AND t.emetteur=adhe.idbde AND t.destinataire=adhd.idbde AND valide
   ORDER BY date DESC;"
