#!/bin/bash

# Script pour hasher en md5 une chaîne de caractères grâce à python

if [ ! $1 ]
then
  echo "Usage : hashmdp [-sha] une_chaine"
  exit 1
else
  if [ "$1" = "-sha" ]
  then
    python -c "import hashlib;print hashlib.sha256('$2').hexdigest()"
  else
    python -c "import hashlib;print hashlib.md5('$1').hexdigest()"
  fi
fi
